Groups Members Remove

View as MarkdownOpen in Claude
Removes members from a group. The members are removed immediately. However the revoking of group-owned resources may take additional time. Use the [groups/job_status/get](api:dropbox-api:POST/2/team/groups/job_status/get) to determine whether this process has completed. This method permits removing the only owner of a group, even in cases where this is not possible via the web client. Permission : Team member management. **Required scope:** `groups.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
groupobjectRequired
Group from which users will be removed.
userslist of objectsRequired
List of users to be removed from the group.
return_membersbooleanOptionalDefaults to true
Whether to return the list of members in the group. Note that the default value will cause all the group members to be returned in the response. This may take a long time for large groups.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
group_infoobject
The group info after member change operation has been performed.
async_job_idstring>=1 characterDeprecated

For legacy purposes async_job_id will always return one space ’ ’. Formerly, it was an ID that was used to obtain the status of granting/revoking group-owned resources. It’s no longer necessary because the async processing now happens automatically.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error